#ifndef __GAME_CONTROLLER____H__
#define __GAME_CONTROLLER____H__

void game_controller_on_button_down(SDL_Event event);
void game_controller_on_button_up(SDL_Event event);

void game_controller_on_controller_axis_motion(SDL_Event event);

void game_controller_configure_overrides_from_file(char* fileName);

void game_controller_notify_start_of_frame();
void game_controller_notify_end_of_frame();

void game_controller_start();
void game_controller_destroy();

#endif  // !__GAME_CONTROLLER____H__

